> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upgrade Installation

> Upgrades a specific installation.



## OpenAPI

````yaml put /installations/{installationId}/upgrade
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /installations/{installationId}/upgrade:
    put:
      summary: Upgrade Installation
      description: Upgrades a specific installation.
      operationId: upgradeInstallation
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
        - name: installationId
          in: path
          required: true
          description: The ID of the installation.
          schema:
            type: string
            example: 6630f0f971184ae724f2d930
      responses:
        '200':
          description: Successful upgrade response.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````